+ echo '====== automated-ec2-builds [/tmp/automated-ec2-builds] ======'
====== automated-ec2-builds [/tmp/automated-ec2-builds] ======
+ cd /tmp/automated-ec2-builds
+ bzr info
Standalone tree (format: 2a)
Location:
  branch root: .

Related branches:
  parent branch: http://bazaar.launchpad.net/~ubuntu-on-ec2/vmbuilder/automated-ec2-builds/
+ bzr version-info
revision-id: francis.ginther@canonical.com-20180629210857-i9uyreqsrgna3yo9
date: 2018-06-29 16:08:57 -0500
build-date: 2019-02-26 21:44:18 +0000
revno: 736
branch-nick: automated-ec2-builds
+ bzr log -p -r-1
------------------------------------------------------------
revno: 736 [merge]
committer: Francis Ginther <francis.ginther@canonical.com>
branch nick: trunk
timestamp: Fri 2018-06-29 16:08:57 -0500
message:
  remove-old-dailies: Clean up cosmic
  [a=fginther][r=rcj,philroche]
  
  MP: https://code.launchpad.net/~ubuntu-on-ec2/vmbuilder/automated-ec2-builds-fginther/+merge/348683
diff:
=== modified file 'remove-old-dailies'
--- remove-old-dailies	2018-03-26 15:12:08 +0000
+++ remove-old-dailies	2018-06-28 13:47:28 +0000
@@ -7,7 +7,7 @@
 SAFE_FILE=.save
 
 BASES=( /srv/ec2-images/server )
-RELS="trusty xenial zesty artful bionic"
+RELS="trusty xenial artful bionic cosmic"
 
 # keep ${SAVE_COUNT} builds or builds to ${SAVE_DAYS} days ago, whichever is greater.
 export LANG=C
------------------------------------------------------------
Use --include-merged or -n0 to see merged revisions.
+ echo ''

+ echo '====== ec2-publishing-scripts [/tmp/ec2-publishing-scripts] ======'
====== ec2-publishing-scripts [/tmp/ec2-publishing-scripts] ======
+ cd /tmp/ec2-publishing-scripts
+ bzr info
Standalone tree (format: unnamed)
Location:
  branch root: .

Related branches:
  parent branch: http://bazaar.launchpad.net/~ubuntu-on-ec2/ubuntu-on-ec2/ec2-publishing-scripts/
+ bzr version-info
revision-id: robert.jennings@canonical.com-20190123221846-9dju53vg5wp8tkbd
date: 2019-01-23 16:18:46 -0600
build-date: 2019-02-26 21:44:19 +0000
revno: 667
branch-nick: ec2-publishing-scripts
+ bzr log -p -r-1
------------------------------------------------------------
revno: 667 [merge]
committer: Robert C Jennings <robert.jennings@canonical.com>
branch nick: ec2-publishing-scripts
timestamp: Wed 2019-01-23 16:18:46 -0600
message:
  Merge lp:~rcj/ubuntu-on-ec2/ec2-publishing-scripts into lp:~ubuntu-on-ec2/ubuntu-on-ec2/ec2-publishing-scripts [a=rcj] [r=codyshepherd,fginther]
  
  run-instances: Extend associate-ip timeout and correct retry logic
  
  The timeout is proving too short in production.  This patch extends the
  timeout from 30s to 60s.
  
  Additionally the logic was running the command to retry before
  evaluating the loop counter and then the code would evaluate the
  retry loop counter after the loop to determine failure.  This allows
  for one last execution of the command (xc2 associate-address) on the 6th
  time through the while loop but the while loop does not continue because
  the other condition for the while '[ $n -lt 5]' would be false.  It is
  possible (and was shown in production) that the command was succeeding
  but only on the 6th attempt.  The code follow the while loop looked to
  see that the loop had been run 6 times and automatically failed this
  despite a success.  This patch changes the while evaluation to only look
  at the counter conditional before the execution of the program in the
  body of the while loop where success will break out from the loop early.
  This should be much cleaner and easier to spot issues.
  
  MP: https://code.launchpad.net/~rcj/ubuntu-on-ec2/ec2-publishing-scripts/+merge/362149
diff:
=== modified file 'run-instance-and-wait'
--- run-instance-and-wait	2016-02-23 21:11:35 +0000
+++ run-instance-and-wait	2019-01-23 22:15:02 +0000
@@ -233,18 +233,17 @@
 
 if [ -n "${associate_ip}" ]; then
 	n=0
-	while ! xc2 associate-address "${REG_ARGS[@]}" \
-		-i "${iid}" "${associate_ip}" \
-		> "${out_associate_ip}" 2>&1 &&
-		[ $n -lt 5 ]; do
+	while [ $n -le 5 ]; do
+		xc2 associate-address "${REG_ARGS[@]}" \
+			-i "${iid}" "${associate_ip}" > "${out_associate_ip}" 2>&1 && break
 		debug 2 "associate-ip -i ${iid} ${associate_ip} failed, trying again"
-		sleep 6
+		sleep 10
 		n=$((n+1))
 	done
-	[ ${n} -eq 5 ] && {
-		cat "${out_associate_ip}" 1>&2;
-		fail "failed to associate ip ${associate_ip}";
-	}
+	if [ ${n} -gt 5 ]; then
+		cat "${out_associate_ip}" 1>&2
+		fail "failed to associate ip ${associate_ip}"
+	fi
 	debug 1 "associated ip ${associate_ip} to ${iid}"
 fi
------------------------------------------------------------
Use --include-merged or -n0 to see merged revisions.
+ echo ''

+ echo '====== live-build [/tmp/live-build] ======'
====== live-build [/tmp/live-build] ======
+ cd /tmp/live-build
+ bzr info
Standalone tree (format: 1.9-rich-root)
Location:
  branch root: .

Related branches:
  parent branch: http://bazaar.launchpad.net/~ubuntu-on-ec2/live-build/cloud-images/
+ bzr version-info
revision-id: ben.howard@canonical.com-20150612123735-zf4q8vxmjb7vaq7w
date: 2015-06-12 06:37:35 -0600
build-date: 2019-02-26 21:44:19 +0000
revno: 1884
branch-nick: live-build
+ bzr log -p -r-1
------------------------------------------------------------
revno: 1884
committer: Ben Howard <ben.howard@canonical.com>
branch nick: live-build
timestamp: Fri 2015-06-12 06:37:35 -0600
message:
  Drop kernel from ubuntu-cloud-t-hwe package list; use live build cli to configure
diff:
=== modified file 'package-lists/ubuntu-cloud-t-hwe'
--- package-lists/ubuntu-cloud-t-hwe	2015-06-11 22:55:21 +0000
+++ package-lists/ubuntu-cloud-t-hwe	2015-06-12 12:37:35 +0000
@@ -6,4 +6,4 @@
 standard^ cloud-image^
 
 # Packages
-linux-image-virtual-lts-vivid landscape-client ubuntu-minimal
+landscape-client ubuntu-minimal
+ echo ''

+ echo '====== vmbuilder-0.11 [/tmp/vmbuilder-0.11] ======'
====== vmbuilder-0.11 [/tmp/vmbuilder-0.11] ======
+ cd /tmp/vmbuilder-0.11
+ bzr info
Standalone tree (format: 2a)
Location:
  branch root: .

Related branches:
  parent branch: http://bazaar.launchpad.net/~ubuntu-on-ec2/vmbuilder/0.11a/
+ bzr version-info
revision-id: ben.howard@canonical.com-20120605221454-crv9cc4612f907lh
date: 2012-06-05 16:14:54 -0600
build-date: 2019-02-26 21:44:19 +0000
revno: 398
branch-nick: vmbuilder-0.11
+ bzr log -p -r-1
------------------------------------------------------------
revno: 398
committer: Ben Howard <ben.howard@canonical.com>
branch nick: vmbuilder
timestamp: Tue 2012-06-05 16:14:54 -0600
message:
  Fix for allow vmbuilder to run on 12.04 LTS.
diff:
=== modified file 'VMBuilder/plugins/ubuntu/dapper.py'
--- VMBuilder/plugins/ubuntu/dapper.py	2011-05-18 20:49:25 +0000
+++ VMBuilder/plugins/ubuntu/dapper.py	2012-06-05 22:14:54 +0000
@@ -157,18 +157,15 @@
             self.vm.addpkg += ['openssh-server']
 
     def mount_dev_proc(self):
-        run_cmd('mount', '--bind', '/dev', '%s/dev' % self.destdir)
-        self.vm.add_clean_cmd('umount', '%s/dev' % self.destdir, ignore_fail=True)
-
-        run_cmd('mount', '--bind', '/dev/pts', '%s/dev/pts' % self.destdir)
+        run_cmd('mkdir', '-p', '%s/dev/pts' % self.destdir)
+        run_cmd('mount', '-t', 'devpts',  'devpts-live', '%s/dev/pts' % self.destdir)
         self.vm.add_clean_cmd('umount', '%s/dev/pts' % self.destdir, ignore_fail=True)
 
-        self.run_in_target('mount', '-t', 'proc', 'proc', '/proc')
+        run_cmd('mount', '-t', 'proc', 'proc-live', '%s/proc' % self.destdir)
         self.vm.add_clean_cmd('umount', '%s/proc' % self.destdir, ignore_fail=True)
 
     def unmount_dev_proc(self):
         run_cmd('umount', '%s/dev/pts' % self.destdir)
-        run_cmd('umount', '%s/dev' % self.destdir)
         run_cmd('sh', '-c', 'grep -q "$1" /proc/mounts || exit 0; umount "$1"',
                 'umount_binfmt', "%s/proc/sys/fs/binfmt_misc" % self.destdir)
         run_cmd('umount', '%s/proc' % self.destdir)
+ echo ''